/*
 * Copyright (c) 1997-2001 Erez Zadok
 * Copyright (c) 2001      State University of New York at Stony Brook 
 * Copyright (c) 1997-2000 Columbia University
 *
 * For specific licensing information, see the COPYING file distributed with
 * this package, or get one from ftp://ftp.filesystems.org/pub/fist/COPYING.
 *
 * This Copyright notice must be kept intact and distributed with all
 * fistgen sources INCLUDING sources generated by fistgen.
 */
/*
 * Start of fistgen config.h file.
 * Erez Zadok <ezk@cs.columbia.edu>
 *
 * DO NOT EDIT BY HAND.
 * Note: acconfig.h generates config.h.in, which generates config.h.
 */

#ifndef _CONFIG_H
#define _CONFIG_H

#include <sys/types.h>
#include <sys/param.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <sys/utsname.h>

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <ctype.h>
#include <dirent.h>
#include <time.h>
#include <fcntl.h>

/* Define name of host machine's cpu (eg. sparc) */
#undef HOST_CPU

/* Define name of host machine's architecture (eg. sun4) */
#undef HOST_ARCH

/* Define name of host machine's vendor (eg. sun) */
#undef HOST_VENDOR

/* Define name and version of host machine (eg. solaris2.5.1) */
#undef HOST_OS

/* Define only name of host machine OS (eg. solaris2) */
#undef HOST_OS_NAME

/* Define only version of host machine (eg. 2.5.1) */
#undef HOST_OS_VERSION

/* Define the header version of (linux) hosts (eg. 2.2.10) */
#undef HOST_HEADER_VERSION

/* Define name of host */
#undef HOST_NAME

/* Define user name */
#undef USER_NAME

/* Define configuration date */
#undef CONFIG_DATE

#ifndef __linux__
#undef __linux__
#endif /* __linux__ */
#ifndef __solaris__
#undef __solaris__
#endif /* __solaris__ */
#ifndef __freebsd__
#undef __freebsd__
#endif /* __freebsd__ */

@TOP@

@BOTTOM@

#ifdef __freebsd__
extern char *basename(const char *filename);
extern char *dirname(char *path);
#endif /* not __freebsd__ */

#ifdef HAVE_LIBGEN_H
# include <libgen.h>
#endif /* HAVE_LIBGEN_H */

/* standard fistgen header, always included */
#include <fistgen.h>

#endif /* not _CONFIG_H */

/*
 * Local Variables:
 * mode: c
 * End:
 */

/* End of am-utils-6.x config.h file */
